\version "2.24.1"

N = 63
\include "haydn.ly"

bassoons = \markup \pairinsts "I" "II" \center-column { "Bassoon(s)" \tiny \line { "II" \italic "ad lib." } }

% First version
\book {
  \outfile \N "a"
  \header { variant        = "First Version"
            superscription = "In Nomine Domini"
            date           = "1777"
            instrument     = \markup \center-column {
                               "Flute" "2 Oboes" "2 Bassoons"
                               "2 Horns in C (basso and alto)" "2 Trumpets in C"
                               "Timpani"
                               "Violin I" "Violin II" "Viola" "Cello" "Bass" } }
  \coverpage
  \secondpage

  \bookpart {
    \include "header.ly"
    \header { piece = "I" }
    \paper{}
    \maxsystems 2
    \score {
      \layout { \breaklayout I }
      \keepWithTag \Haydntags \tag #'Mvt1 <<
        \breaks I
        \I.structure
        \new StaffGroup <<
          \new OboeIandII \partCombine #'(0 . 9) \I.Oboe.1 \I.Oboe.2
          \new BassoonIandII \partCombine \I.Bassoon.1 \I.Bassoon.2
        >>
        \new StaffGroup <<
          \new HornIandII \with { key=c } \partCombine \I.Horn.1 \I.Horn.2
          \new TrumpetIandII \with { key=c' } \partCombine \I.Trumpet.1 \I.Trumpet.2
        >>
        \new Timpani \with { tuning=<c g,> } { \I.Timpani }
        \new StaffGroup <<
          \new Violins <<
            \new ViolinI  { \I.Violin.1 }
            \new ViolinII { \I.Violin.2 }
          >>
          \new Viola { \I.Viola }
          \new StaffGroup \with {
            systemStartDelimiter = #'SystemStartBrace
            \override SystemStartBrace.collapse-height = 5
            \consists "Keep_alive_together_engraver"
          } <<
            \new Cello \with { \RemoveAllEmptyStaves } { \I.Cello }
            \new Bass  \with { \RemoveAllEmptyStaves } { \I.Bass }
            \new CB \partCombine \I.Cello \transpose c c' \I.Bass
          >>
        >>
      >>
    }
  }

  \bookpart {
    \header { piece = "II" }
    \paper{}
    \maxsystems 3
    \score {
      \layout { \breaklayout II }
      \keepWithTag \Haydntags \tag #'Mvt2 <<
        \breaks II
        \II.structure
        \new StaffGroup <<
          \new Flute { \II.Flute }
          \new OboeIandII \partCombine \II.Oboe.1 \II.Oboe.2
          \new Bassoon \with { instrumentName = \bassoons } { \II.Bassoon }
        >>
        \new StaffGroup
          \new HornIandII \with { key=c } \partCombine \II.Horn.1 \II.Horn.2
        \new StaffGroup <<
          \new Violins <<
            \new ViolinI  { \II.Violin.1 }
            \new ViolinII { \II.Violin.2 }
          >>
          \new Viola { \II.Viola }
          \new CB    { \II.Cello }
        >>
      >>
    }
  }

  \bookpart {
    \header { piece = "III" }
    \paper{}
    \maxsystems 3
    \score {
      \layout { \breaklayout IIIa }
      \keepWithTag \Haydntags \tag #'Mvt3 <<
        \breaks IIIa
        \IIIa.structure
        \new StaffGroup
          \new OboeIandII \partCombine #'(0 . 9) \IIIa.Oboe.1 \IIIa.Oboe.2
        \new StaffGroup <<
          \new HornIandII \with { key=c' } \partCombine \IIIa.Horn.1 \IIIa.Horn.2
          \new TrumpetIandII \with { key=c' } \partCombine \IIIa.Trumpet.1 \IIIa.Trumpet.2
        >>
        \new Timpani \with { tuning=<c g,> } { \IIIa.Timpani }
        \new StaffGroup <<
          \new Violins <<
            \new ViolinI  { \IIIa.Violin.1 }
            \new ViolinII { \IIIa.Violin.2 }
          >>
          \new Viola { \IIIa.Viola }
          \new CBB   { \IIIa.Cello }
        >>
      >>
    }
    \keepWithTag \Haydntags \tag #'Mvt3 \pageBreak
    \score {
      \layout { \breaklayout IIIb }
      \header { piece = ##f }
      \keepWithTag \Haydntags \tag #'Mvt3 <<
        \breaks IIIb
        \IIIb.structure
        \new StaffGroup
          \new OboeIandII \partCombine \IIIb.Oboe.1 \IIIb.Oboe.2
        \new StaffGroup
          \new HornIandII \with { key=c' } \partCombine \IIIb.Horn.1 \IIIb.Horn.2
        \new StaffGroup <<
          \new Violins <<
            \new ViolinI  { \IIIb.Violin.1 }
            \new ViolinII { \IIIb.Violin.2 }
          >>
          \new Viola { \IIIb.Viola }
          \new CB    { \IIIb.Cello }
        >>
      >>
    }
  }

  \bookpart {
    \header { piece = "IV" }
    \paper{}
    \maxsystems 2
    \score {
      \layout { \breaklayout IV \spacing #1/8 }
      \keepWithTag \Haydntags \tag #'Mvt4 <<
        \breaks IV
        \IV.structure
        \new StaffGroup
          \new OboeIandII \partCombine \IV.Oboe.1 \IV.Oboe.2
        \new StaffGroup <<
           \new HornIandII \with { key=c' } \partCombine \IV.Horn.1 \IV.Horn.2
           \new TrumpetIandII \with { key=c' } \partCombine \IV.Trumpet.1 \IV.Trumpet.2
        >>
        \new Timpani \with { tuning=<c g,> } { \IV.Timpani }
        \new StaffGroup <<
          \new Violins <<
            \new ViolinI  { \IV.Violin.1 }
            \new ViolinII { \IV.Violin.2 }
          >>
          \new Viola { \IV.Viola }
          \new CBB { \IV.Cello }
        >>
      >>
    }
  }
}

% Second version
\book {
  \outfile \N "b"
  \header { variant    = "Second Version"
            date       = "1779"
            instrument = \markup \center-column {
                           "Flute" "2 Oboes" "1 or 2 Bassoons"
                           "2 Horns in C (basso and alto)"
                           "Violin I" "Violin II" "Viola" "Cello" "Bass" } }
  \coverpage
  \secondpage

  \bookpart {
    \include "header.ly"
    \header { piece = "I" }
    \paper{}
    \maxsystems 2
    \score {
      \layout { \breaklayout V }
      \keepWithTag \Haydntags \tag #'Mvt5 <<
        \breaks V
        \V.structure
        \new StaffGroup <<
          \new Flute { \V.Flute }
          \new OboeIandII \partCombine #'(0 . 9) \V.Oboe.1 \V.Oboe.2
          \new Bassoon \with { instrumentName = \bassoons } { \V.Bassoon }
        >>
        \new StaffGroup
          \new HornIandII \with { key=c } \partCombine \V.Horn.1 \V.Horn.2
        \new StaffGroup <<
          \new Violins <<
            \new ViolinI  { \V.Violin.1 }
            \new ViolinII { \V.Violin.2 }
          >>
          \new Viola { \V.Viola }
          \new CB { \V.Cello }
        >>
      >>
    }
  }

  \bookpart {
    \header { piece = "II" }
    \paper{}
    \maxsystems 3
    \score {
      \layout { \breaklayout VI }
      \keepWithTag \Haydntags \tag #'Mvt6 <<
        \breaks VI
        \VI.structure
        \new StaffGroup <<
          \new Flute { \VI.Flute }
          \new OboeIandII \partCombine \VI.Oboe.1 \VI.Oboe.2
          \new Bassoon \with { instrumentName = \bassoons } { \VI.Bassoon }
        >>
        \new StaffGroup
          \new HornIandII \with { key=c } \partCombine \VI.Horn.1 \VI.Horn.2
        \new StaffGroup <<
          \new Violins <<
            \new ViolinI  { \VI.Violin.1 }
            \new ViolinII { \VI.Violin.2 }
          >>
          \new Viola { \VI.Viola }
          \new CB    { \VI.Cello }
        >>
      >>
    }
  }

  \bookpart {
    \header { piece = "III" }
    \paper{}
    \maxsystems 3
    \score {
      \layout { \breaklayout VIIa }
      \keepWithTag \Haydntags \tag #'Mvt7 <<
        \breaks VIIa
        \VIIa.structure
        \new StaffGroup <<
          \new Flute { \VIIa.Flute }
          \new OboeIandII \partCombine \VIIa.Oboe.1 \VIIa.Oboe.2
          \new Bassoon { \VIIa.Bassoon }
        >>
        \new StaffGroup
          \new HornIandII \with { key=c' } \partCombine \VIIa.Horn.1 \VIIa.Horn.2
        \new StaffGroup <<
          \new Violins <<
            \new ViolinI  { \VIIa.Violin.1 }
            \new ViolinII { \VIIa.Violin.2 }
          >>
          \new Viola { \VIIa.Viola }
          \new CB    { \VIIa.Cello }
        >>
      >>
    }
    \keepWithTag \Haydntags \tag #'Mvt7 \pageBreak
    \score {
      \layout { \breaklayout VIIb }
      \header { piece = ##f }
      \keepWithTag \Haydntags \tag #'Mvt7 <<
        \breaks VIIb
        \VIIb.structure
        \new StaffGroup <<
          \new Oboe { \VIIb.Oboe }
          \new Bassoon { \VIIb.Bassoon }
        >>
        \new StaffGroup <<
          \new Violins <<
            \new ViolinI  { \VIIb.Violin.1 }
            \new ViolinII { \VIIb.Violin.2 }
          >>
          \new Viola { \VIIb.Viola }
          \new CB    { \VIIb.Cello }
        >>
      >>
    }
  }

  \bookpart {
    \header { piece = "IV" }
    \paper{}
    \maxsystems 2
    \score {
      \layout { \breaklayout VIII \spacing #1/12 }
      \keepWithTag \Haydntags \tag #'Mvt8 <<
        \breaks VIII
        \VIII.structure
        \new StaffGroup <<
          \new Flute { \VIII.Flute }
          \new OboeIandII \partCombine \VIII.Oboe.1 \VIII.Oboe.2
          \new Bassoon { \VIII.Bassoon }
        >>
        \new StaffGroup
           \new HornIandII \with { key=c } \partCombine \VIII.Horn.1 \VIII.Horn.2
        \new StaffGroup <<
          \new Violins <<
            \new ViolinI  { \VIII.Violin.1 }
            \new ViolinII { \VIII.Violin.2 }
          >>
          \new Viola { \VIII.Viola }
          \new CB { \VIII.Cello }
        >>
      >>
    }
  }
}
